package com.ruoyi.powerdistribution.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.powerdistribution.domain.dto.AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.powerdistribution.domain.AdsCstHygszdbbPdmmaintenanceprocessmonthWf;
import com.ruoyi.powerdistribution.service.IAdsCstHygszdbbPdmmaintenanceprocessmonthWfService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 月计划明细Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/power/maintenanceMonth")
public class AdsCstHygszdbbPdmmaintenanceprocessmonthWfController extends BaseController
{
    @Autowired
    private IAdsCstHygszdbbPdmmaintenanceprocessmonthWfService adsCstHygszdbbPdmmaintenanceprocessmonthWfService;

    /**
     * 查询月计划明细列表
     */
    @ApiOperation(value = "查询月计划明细列表")
    @GetMapping("/list")
    public TableDataInfo list(AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        startPage();
        List<AdsCstHygszdbbPdmmaintenanceprocessmonthWf> list = adsCstHygszdbbPdmmaintenanceprocessmonthWfService.selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfList(adsCstHygszdbbPdmmaintenanceprocessmonthWf);
        return getDataTable(list);
    }

    /**
     * 导出月计划明细列表
     */
    @ApiOperation(value = "导出月计划明细列表")
    @Log(title = "月计划明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        List<AdsCstHygszdbbPdmmaintenanceprocessmonthWf> list = adsCstHygszdbbPdmmaintenanceprocessmonthWfService.selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfList(adsCstHygszdbbPdmmaintenanceprocessmonthWf);
        ExcelUtil<AdsCstHygszdbbPdmmaintenanceprocessmonthWf> util = new ExcelUtil<AdsCstHygszdbbPdmmaintenanceprocessmonthWf>(AdsCstHygszdbbPdmmaintenanceprocessmonthWf.class);
        util.exportExcel(response, list, "月计划明细数据");
    }

    /**
     * 获取月计划明细详细信息
     */
    @ApiOperation(value = "获取月计划明细详细信息")
    @GetMapping(value = "/{pkId}")
    public AjaxResult getInfo(@PathVariable("pkId") String pkId)
    {
        return success(adsCstHygszdbbPdmmaintenanceprocessmonthWfService.selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(pkId));
    }

    /**
     * 新增月计划明细
     */
    @Log(title = "月计划明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        return toAjax(adsCstHygszdbbPdmmaintenanceprocessmonthWfService.insertAdsCstHygszdbbPdmmaintenanceprocessmonthWf(adsCstHygszdbbPdmmaintenanceprocessmonthWf));
    }

    /**
     * 修改月计划明细
     */
    @ApiOperation(value = "修改月计划明细")
    @Log(title = "月计划明细", businessType = BusinessType.UPDATE)
    @PostMapping("/update")
    public AjaxResult edit(@RequestBody AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        return toAjax(adsCstHygszdbbPdmmaintenanceprocessmonthWfService.updateAdsCstHygszdbbPdmmaintenanceprocessmonthWf(adsCstHygszdbbPdmmaintenanceprocessmonthWf));
    }

    /**
     * 删除月计划明细
     */
    @Log(title = "月计划明细", businessType = BusinessType.DELETE)
	@DeleteMapping("/{pkIds}")
    public AjaxResult remove(@PathVariable String[] pkIds)
    {
        return toAjax(adsCstHygszdbbPdmmaintenanceprocessmonthWfService.deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkIds(pkIds));
    }
}
