package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 月计划明细对象 ads_cst_hygszdbb_pdmmaintenanceprocessmonth_wf
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class AdsCstHygszdbbPdmmaintenanceprocessmonthWf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private String pkId;

    /** 月计划编号 */
    @Excel(name = "月计划编号")
    private String mplanNo;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String lineName;

    /** 线路编号 */
    @Excel(name = "线路编号")
    private String lineCode;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String eqpTyp;

    /** 设备类型描述 */
    @Excel(name = "设备类型描述")
    private String eqpTypDsc;

    /** 计划年月 */
    @Excel(name = "计划年月")
    private String planYm;

    /** 月计划类型 */
    @Excel(name = "月计划类型")
    private String mplanTyp;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTm;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTm;

    /** 用户数 */
    @Excel(name = "用户数")
    private Long consNum;

    /** 时户数 */
    @Excel(name = "时户数")
    private BigDecimal hourNum;

    /** 工作单位 */
    @Excel(name = "工作单位")
    private String workOrg;

    /** 工作单位名称 */
    @Excel(name = "工作单位名称")
    private String workOrgNm;

    /** 负责部门 */
    @Excel(name = "负责部门")
    private String respDept;

    /** 负责部门描述 */
    @Excel(name = "负责部门描述")
    private String respDeptDsc;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String workContent;

    /** 申报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date declareTm;

    /** 申报人 */
    @Excel(name = "申报人")
    private String declarePes;

    /** 申报单位编码 */
    @Excel(name = "申报单位编码")
    private String declareOrgNo;

    /** 申报单位名称 */
    @Excel(name = "申报单位名称")
    private String declareOrgNm;

    /** 月计划状态 */
    @Excel(name = "月计划状态")
    private String mplanSt;

    /** 月计划状态描述 */
    @Excel(name = "月计划状态描述")
    private String mplanStDsc;

    /** 供电单位编号 */
    @Excel(name = "供电单位编号")
    private String orgNo;

    /** 供电单位名称 */
    @Excel(name = "供电单位名称")
    private String orgNm;

    /** 标准供电单位编号 */
    @Excel(name = "标准供电单位编号")
    private String stdOrgNo;

    /** 标准供电单位名称 */
    @Excel(name = "标准供电单位名称")
    private String stdOrgNm;

    /** 标准地市公司单位编号 */
    @Excel(name = "标准地市公司单位编号")
    private String stdCityOrgNo;

    /** 标准地市公司单位名称 */
    @Excel(name = "标准地市公司单位名称")
    private String stdCityOrgNm;

    /** 标准区县公司单位编号 */
    @Excel(name = "标准区县公司单位编号")
    private String stdCountyOrgNo;

    /** 标准区县公司单位名称 */
    @Excel(name = "标准区县公司单位名称")
    private String stdCountyOrgNm;

    /** 是否需要上传检修方案0-不需要，1-需要,2-已上传 */
    @Excel(name = "是否需要上传检修方案0-不需要，1-需要,2-已上传")
    private String isMaintenance;

    /** 是否需要审批0-不需要，1-需要，2-已上传 */
    @Excel(name = "是否需要审批0-不需要，1-需要，2-已上传")
    private String isApprove;

    /** 检修方案地址 */
    @Excel(name = "检修方案地址")
    private String maintenanceFilePath;

    /** 检修方案名称 */
    @Excel(name = "检修方案名称")
    private String maintenanceFileName;

    /** 审批方案地址 */
    @Excel(name = "审批方案地址")
    private String approveFilePath;

    /** 审批手续名称 */
    @Excel(name = "审批手续名称")
    private String approveFileName;

    public void setPkId(String pkId)
    {
        this.pkId = pkId;
    }

    public String getPkId()
    {
        return pkId;
    }
    public void setMplanNo(String mplanNo)
    {
        this.mplanNo = mplanNo;
    }

    public String getMplanNo()
    {
        return mplanNo;
    }
    public void setLineName(String lineName)
    {
        this.lineName = lineName;
    }

    public String getLineName()
    {
        return lineName;
    }
    public void setLineCode(String lineCode)
    {
        this.lineCode = lineCode;
    }

    public String getLineCode()
    {
        return lineCode;
    }
    public void setEqpTyp(String eqpTyp)
    {
        this.eqpTyp = eqpTyp;
    }

    public String getEqpTyp()
    {
        return eqpTyp;
    }
    public void setEqpTypDsc(String eqpTypDsc)
    {
        this.eqpTypDsc = eqpTypDsc;
    }

    public String getEqpTypDsc()
    {
        return eqpTypDsc;
    }
    public void setPlanYm(String planYm)
    {
        this.planYm = planYm;
    }

    public String getPlanYm()
    {
        return planYm;
    }
    public void setMplanTyp(String mplanTyp)
    {
        this.mplanTyp = mplanTyp;
    }

    public String getMplanTyp()
    {
        return mplanTyp;
    }
    public void setStartTm(Date startTm)
    {
        this.startTm = startTm;
    }

    public Date getStartTm()
    {
        return startTm;
    }
    public void setEndTm(Date endTm)
    {
        this.endTm = endTm;
    }

    public Date getEndTm()
    {
        return endTm;
    }
    public void setConsNum(Long consNum)
    {
        this.consNum = consNum;
    }

    public Long getConsNum()
    {
        return consNum;
    }
    public void setHourNum(BigDecimal hourNum)
    {
        this.hourNum = hourNum;
    }

    public BigDecimal getHourNum()
    {
        return hourNum;
    }
    public void setWorkOrg(String workOrg)
    {
        this.workOrg = workOrg;
    }

    public String getWorkOrg()
    {
        return workOrg;
    }
    public void setWorkOrgNm(String workOrgNm)
    {
        this.workOrgNm = workOrgNm;
    }

    public String getWorkOrgNm()
    {
        return workOrgNm;
    }
    public void setRespDept(String respDept)
    {
        this.respDept = respDept;
    }

    public String getRespDept()
    {
        return respDept;
    }
    public void setRespDeptDsc(String respDeptDsc)
    {
        this.respDeptDsc = respDeptDsc;
    }

    public String getRespDeptDsc()
    {
        return respDeptDsc;
    }
    public void setWorkContent(String workContent)
    {
        this.workContent = workContent;
    }

    public String getWorkContent()
    {
        return workContent;
    }
    public void setDeclareTm(Date declareTm)
    {
        this.declareTm = declareTm;
    }

    public Date getDeclareTm()
    {
        return declareTm;
    }
    public void setDeclarePes(String declarePes)
    {
        this.declarePes = declarePes;
    }

    public String getDeclarePes()
    {
        return declarePes;
    }
    public void setDeclareOrgNo(String declareOrgNo)
    {
        this.declareOrgNo = declareOrgNo;
    }

    public String getDeclareOrgNo()
    {
        return declareOrgNo;
    }
    public void setDeclareOrgNm(String declareOrgNm)
    {
        this.declareOrgNm = declareOrgNm;
    }

    public String getDeclareOrgNm()
    {
        return declareOrgNm;
    }
    public void setMplanSt(String mplanSt)
    {
        this.mplanSt = mplanSt;
    }

    public String getMplanSt()
    {
        return mplanSt;
    }
    public void setMplanStDsc(String mplanStDsc)
    {
        this.mplanStDsc = mplanStDsc;
    }

    public String getMplanStDsc()
    {
        return mplanStDsc;
    }
    public void setOrgNo(String orgNo)
    {
        this.orgNo = orgNo;
    }

    public String getOrgNo()
    {
        return orgNo;
    }
    public void setOrgNm(String orgNm)
    {
        this.orgNm = orgNm;
    }

    public String getOrgNm()
    {
        return orgNm;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setStdCountyOrgNo(String stdCountyOrgNo)
    {
        this.stdCountyOrgNo = stdCountyOrgNo;
    }

    public String getStdCountyOrgNo()
    {
        return stdCountyOrgNo;
    }
    public void setStdCountyOrgNm(String stdCountyOrgNm)
    {
        this.stdCountyOrgNm = stdCountyOrgNm;
    }

    public String getStdCountyOrgNm()
    {
        return stdCountyOrgNm;
    }
    public void setIsMaintenance(String isMaintenance)
    {
        this.isMaintenance = isMaintenance;
    }

    public String getIsMaintenance()
    {
        return isMaintenance;
    }
    public void setIsApprove(String isApprove)
    {
        this.isApprove = isApprove;
    }

    public String getIsApprove()
    {
        return isApprove;
    }
    public void setMaintenanceFilePath(String maintenanceFilePath)
    {
        this.maintenanceFilePath = maintenanceFilePath;
    }

    public String getMaintenanceFilePath()
    {
        return maintenanceFilePath;
    }
    public void setMaintenanceFileName(String maintenanceFileName)
    {
        this.maintenanceFileName = maintenanceFileName;
    }

    public String getMaintenanceFileName()
    {
        return maintenanceFileName;
    }
    public void setApproveFilePath(String approveFilePath)
    {
        this.approveFilePath = approveFilePath;
    }

    public String getApproveFilePath()
    {
        return approveFilePath;
    }
    public void setApproveFileName(String approveFileName)
    {
        this.approveFileName = approveFileName;
    }

    public String getApproveFileName()
    {
        return approveFileName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pkId", getPkId())
            .append("mplanNo", getMplanNo())
            .append("lineName", getLineName())
            .append("lineCode", getLineCode())
            .append("eqpTyp", getEqpTyp())
            .append("eqpTypDsc", getEqpTypDsc())
            .append("planYm", getPlanYm())
            .append("mplanTyp", getMplanTyp())
            .append("startTm", getStartTm())
            .append("endTm", getEndTm())
            .append("consNum", getConsNum())
            .append("hourNum", getHourNum())
            .append("workOrg", getWorkOrg())
            .append("workOrgNm", getWorkOrgNm())
            .append("respDept", getRespDept())
            .append("respDeptDsc", getRespDeptDsc())
            .append("workContent", getWorkContent())
            .append("declareTm", getDeclareTm())
            .append("declarePes", getDeclarePes())
            .append("declareOrgNo", getDeclareOrgNo())
            .append("declareOrgNm", getDeclareOrgNm())
            .append("mplanSt", getMplanSt())
            .append("mplanStDsc", getMplanStDsc())
            .append("orgNo", getOrgNo())
            .append("orgNm", getOrgNm())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("stdCountyOrgNo", getStdCountyOrgNo())
            .append("stdCountyOrgNm", getStdCountyOrgNm())
            .append("isMaintenance", getIsMaintenance())
            .append("isApprove", getIsApprove())
            .append("maintenanceFilePath", getMaintenanceFilePath())
            .append("maintenanceFileName", getMaintenanceFileName())
            .append("approveFilePath", getApproveFilePath())
            .append("approveFileName", getApproveFileName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
