package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 队伍积分排名对象 pdm_score_rank_team
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Data
public class PdmScoreRankTeam extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /**  */
    private Long id;
    /** 统计年 */
    private String reportYear;

    /** 统计年月 */
    @Excel(name = "统计年月")
    private String reportDate;

    /** 作业单位编码 */
    private String companyNo;

    /** 作业单位名称 */
    @Excel(name = "单位名称")
    private String companyName;

    /** 队伍类型 1内2外 */
    private String teamType;

    /** 队伍ID */
    private String teamId;

    /** 队伍名称 */
    @Excel(name = "队伍名称")
    private String teamName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

    /** 排序 */
    @Excel(name = "排名")
    private int rankNum;

    /** 是否黑榜 1是0否 */
    private String isBlack;

    /**
     * 查询-开始时间
     */
    private String startDate;

    /**
     * 查询-结束时间
     */
    private String endDate;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportYear", getReportYear())
            .append("reportDate", getReportDate())
            .append("teamType", getTeamType())
            .append("teamId", getTeamId())
            .append("teamName", getTeamName())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
