package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmScoreRankWorker;

/**
 * 作业人员积分排名Service接口
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public interface IPdmScoreRankWorkerService
{
    /**
     * 查询作业人员积分排名
     *
     * @param id 作业人员积分排名主键
     * @return 作业人员积分排名
     */
    public PdmScoreRankWorker selectPdmScoreRankWorkerById(Long id);

    /**
     * 查询作业人员积分排名列表
     *
     * @param pdmScoreRankWorker 作业人员积分排名
     * @return 作业人员积分排名集合
     */
    public List<PdmScoreRankWorker> selectPdmScoreRankWorkerList(PdmScoreRankWorker pdmScoreRankWorker);

    /**
     * 新增作业人员积分排名
     *
     * @param pdmScoreRankWorker 作业人员积分排名
     * @return 结果
     */
    public int insertPdmScoreRankWorker(PdmScoreRankWorker pdmScoreRankWorker);

    /**
     * 修改作业人员积分排名
     *
     * @param pdmScoreRankWorker 作业人员积分排名
     * @return 结果
     */
    public int updatePdmScoreRankWorker(PdmScoreRankWorker pdmScoreRankWorker);

    /**
     * 批量删除作业人员积分排名
     *
     * @param ids 需要删除的作业人员积分排名主键集合
     * @return 结果
     */
    public int deletePdmScoreRankWorkerByIds(Long[] ids);

    /**
     * 删除作业人员积分排名信息
     *
     * @param id 作业人员积分排名主键
     * @return 结果
     */
    public int deletePdmScoreRankWorkerById(Long id);

    /**
     * 按年统计作业得分
     * @param pdmScoreRankWorker
     * @return
     */
    List<PdmScoreRankWorker> getWorkerRankYearList(PdmScoreRankWorker pdmScoreRankWorker);

    /**
     * 保存作业人员得分
     * @param startDate
     * @param endDate
     * @return
     */
    int saveWorker(String startDate,String endDate);

    /**
     * 查询作业人员积分排名列表 总方法
     *
     * @param pdmScoreRankWorker 作业人员积分排名
     * @return 作业人员积分排名集合
     */
    List<PdmScoreRankWorker> selectScoreRankWorkerList(PdmScoreRankWorker pdmScoreRankWorker);

}
