package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmVehicleAlarm;

/**
 * 施工车辆告警Service接口
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
public interface IPdmVehicleAlarmService 
{
    /**
     * 查询施工车辆告警
     * 
     * @param id 施工车辆告警主键
     * @return 施工车辆告警
     */
    public PdmVehicleAlarm selectPdmVehicleAlarmById(Long id);

    /**
     * 查询施工车辆告警列表
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 施工车辆告警集合
     */
    public List<PdmVehicleAlarm> selectPdmVehicleAlarmList(PdmVehicleAlarm pdmVehicleAlarm);

    /**
     * 新增施工车辆告警
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 结果
     */
    public int insertPdmVehicleAlarm(PdmVehicleAlarm pdmVehicleAlarm);

    /**
     * 修改施工车辆告警
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 结果
     */
    public int updatePdmVehicleAlarm(PdmVehicleAlarm pdmVehicleAlarm);

    /**
     * 批量删除施工车辆告警
     * 
     * @param ids 需要删除的施工车辆告警主键集合
     * @return 结果
     */
    public int deletePdmVehicleAlarmByIds(Long[] ids);

    /**
     * 删除施工车辆告警信息
     * 
     * @param id 施工车辆告警主键
     * @return 结果
     */
    public int deletePdmVehicleAlarmById(Long id);

    /**
     * 获取车辆最新状态
     */
    public  void getVehiclesLastStatus();
}
