package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmWorkCompleStatistics;

/**
 * 工程量完成情况Service接口
 *
 * @author ruoyi
 * @date 2025-02-11
 */
public interface IPdmWorkCompleStatisticsService
{
    /**
     * 查询工程量完成情况
     *
     * @param id 工程量完成情况主键
     * @return 工程量完成情况
     */
    public PdmWorkCompleStatistics selectPdmWorkCompleStatisticsById(String id);

    /**
     * 查询工程量完成情况列表
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 工程量完成情况集合
     */
    public List<PdmWorkCompleStatistics> selectPdmWorkCompleStatisticsList(PdmWorkCompleStatistics pdmWorkCompleStatistics);

    /**
     * 新增工程量完成情况
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 结果
     */
    public int insertPdmWorkCompleStatistics(PdmWorkCompleStatistics pdmWorkCompleStatistics);

    /**
     * 修改工程量完成情况
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 结果
     */
    public int updatePdmWorkCompleStatistics(PdmWorkCompleStatistics pdmWorkCompleStatistics);

    /**
     * 批量删除工程量完成情况
     *
     * @param ids 需要删除的工程量完成情况主键集合
     * @return 结果
     */
    public int deletePdmWorkCompleStatisticsByIds(String[] ids);

    /**
     * 删除工程量完成情况信息
     *
     * @param id 工程量完成情况主键
     * @return 结果
     */
    public int deletePdmWorkCompleStatisticsById(String id);

    /**
     * 计算工程量主函数
     */
    void dealWorkCompleStatistics();
}
