package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmWorkCompleStatisticsTmpMapper;
import com.ruoyi.powerdistribution.domain.PdmWorkCompleStatisticsTmp;
import com.ruoyi.powerdistribution.service.IPdmWorkCompleStatisticsTmpService;

/**
 * 工程量完成情况临时Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-11
 */
@Service
public class PdmWorkCompleStatisticsTmpServiceImpl implements IPdmWorkCompleStatisticsTmpService
{
    @Autowired
    private PdmWorkCompleStatisticsTmpMapper pdmWorkCompleStatisticsTmpMapper;

    /**
     * 查询工程量完成情况临时
     *
     * @param id 工程量完成情况临时主键
     * @return 工程量完成情况临时
     */
    @Override
    public PdmWorkCompleStatisticsTmp selectPdmWorkCompleStatisticsTmpById(String id)
    {
        return pdmWorkCompleStatisticsTmpMapper.selectPdmWorkCompleStatisticsTmpById(id);
    }

    /**
     * 查询工程量完成情况临时列表
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 工程量完成情况临时
     */
    @Override
    public List<PdmWorkCompleStatisticsTmp> selectPdmWorkCompleStatisticsTmpList(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp)
    {
        return pdmWorkCompleStatisticsTmpMapper.selectPdmWorkCompleStatisticsTmpList(pdmWorkCompleStatisticsTmp);
    }

    /**
     * 新增工程量完成情况临时
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 结果
     */
    @Override
    public int insertPdmWorkCompleStatisticsTmp(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp)
    {
        return pdmWorkCompleStatisticsTmpMapper.insertPdmWorkCompleStatisticsTmp(pdmWorkCompleStatisticsTmp);
    }

    /**
     * 修改工程量完成情况临时
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 结果
     */
    @Override
    public int updatePdmWorkCompleStatisticsTmp(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp)
    {
        return pdmWorkCompleStatisticsTmpMapper.updatePdmWorkCompleStatisticsTmp(pdmWorkCompleStatisticsTmp);
    }

    /**
     * 批量删除工程量完成情况临时
     *
     * @param ids 需要删除的工程量完成情况临时主键
     * @return 结果
     */
    @Override
    public int deletePdmWorkCompleStatisticsTmpByIds(String[] ids)
    {
        return pdmWorkCompleStatisticsTmpMapper.deletePdmWorkCompleStatisticsTmpByIds(ids);
    }

    /**
     * 删除工程量完成情况临时信息
     *
     * @param id 工程量完成情况临时主键
     * @return 结果
     */
    @Override
    public int deletePdmWorkCompleStatisticsTmpById(String id)
    {
        return pdmWorkCompleStatisticsTmpMapper.deletePdmWorkCompleStatisticsTmpById(id);
    }
}
